> For the complete documentation index, see [llms.txt](https://docs.simplio3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.simplio3d.com/api-reference.md).

# API Reference

- [Partner API](https://docs.simplio3d.com/api-reference/partner-api.md): API Order Endpoints Introduction
- [Managing Orders](https://docs.simplio3d.com/api-reference/partner-api/managing-orders.md): API Endpoints for Managing Orders
- [Open API](https://docs.simplio3d.com/api-reference/open-api.md): Documentation Overview
- [Getting Started](https://docs.simplio3d.com/api-reference/open-api/getting-started.md): Overview
- [User Authentication](https://docs.simplio3d.com/api-reference/open-api/user-authentication.md): API Endpoints for User Authentication
- [3D Assets](https://docs.simplio3d.com/api-reference/open-api/3d-assets.md): Get a list of configurator 3D asset models.
- [Configurators](https://docs.simplio3d.com/api-reference/open-api/configurators.md): Retrieve detailed information about a specific configurator
- [Contact Form](https://docs.simplio3d.com/api-reference/open-api/contact-form.md): Endpoints for managing fields and form fields
- [Form Fields](https://docs.simplio3d.com/api-reference/open-api/contact-form/form-fields.md): Get a list of configurator form fields.
- [Forms](https://docs.simplio3d.com/api-reference/open-api/contact-form/forms.md): Fetch Configurator Form(s)
- [Options](https://docs.simplio3d.com/api-reference/open-api/options.md): Get detailed information about a specific option
- [Options](https://docs.simplio3d.com/api-reference/open-api/options/options.md): Managing Configurator Options
- [Option Variations](https://docs.simplio3d.com/api-reference/open-api/options/option-variations.md): Get a list of configurator option variations
- [Option Restrictions](https://docs.simplio3d.com/api-reference/open-api/options/option-restrictions.md): Get a list of configurator option restrictions
- [Price Groups](https://docs.simplio3d.com/api-reference/open-api/price-groups.md): Managing configurator price groups
- [Country](https://docs.simplio3d.com/api-reference/open-api/country.md): API endpoints for countries
- [Share](https://docs.simplio3d.com/api-reference/open-api/share.md): Managing configurator share module
- [Materials](https://docs.simplio3d.com/api-reference/open-api/materials.md): Materials API Endpoints
- [Materials](https://docs.simplio3d.com/api-reference/open-api/materials/materials.md): API endpoints for managing materials
- [Material Categories](https://docs.simplio3d.com/api-reference/open-api/materials/material-categories.md): API endpoints for managing material categories
- [Textures](https://docs.simplio3d.com/api-reference/open-api/textures.md): Managing textures using API endpoints
- [Textures](https://docs.simplio3d.com/api-reference/open-api/textures/textures.md): Fetch texture(s)
- [Texture Categories](https://docs.simplio3d.com/api-reference/open-api/textures/texture-categories.md): Retrieve texture categories endpoints
- [Vectors](https://docs.simplio3d.com/api-reference/open-api/vectors.md): API endpoints for managing vectors
- [Vectors](https://docs.simplio3d.com/api-reference/open-api/vectors/vectors.md): API endpoints for managing vectors
- [Vector Categories](https://docs.simplio3d.com/api-reference/open-api/vectors/vector-categories.md): API endpoints for managing vector categories
- [Orders](https://docs.simplio3d.com/api-reference/open-api/orders.md): Managing orders using API endpoints
- [Configurator Parameter Overrides](https://docs.simplio3d.com/api-reference/open-api/configurator-parameter-overrides.md): Update Logic Documentation
- [Web SDK](https://docs.simplio3d.com/api-reference/api-sdk.md): Web SDK API documentation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.simplio3d.com/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
